diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/traced/traced-value-callback-typedef-test-suite.cc ns-3.44/src/test/traced/traced-value-callback-typedef-test-suite.cc
--- ns-3.43/src/test/traced/traced-value-callback-typedef-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/traced/traced-value-callback-typedef-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -19,8 +19,8 @@
 using namespace ns3;
 
 /**
- * \file
- * \ingroup system-tests-traced
+ * @file
+ * @ingroup system-tests-traced
  *
  * TracedValueCallback tests to verify that they work with different types
  * of classes - it tests bool, double, various types of integers types,
@@ -31,7 +31,7 @@
 {
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Result of callback test.
  *
@@ -44,17 +44,17 @@
 std::string g_Result = "";
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Template for TracedValue sink functions.
  *
  * This generates a sink function for any underlying type.
  *
- * \tparam T \explicit The type of the value being traced.
+ * @tparam T \explicit The type of the value being traced.
  *        Since the point of this template is to create a
  *        sink function, the template type must be given explicitly.
- * \param [in] oldValue The original value
- * \param [in] newValue The new value
+ * @param [in] oldValue The original value
+ * @param [in] newValue The new value
  */
 template <typename T>
 void
@@ -75,11 +75,11 @@
 } // TracedValueCbSink<>()
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * TracedValueCbSink specialization for Time.
- * \param oldValue The old value
- * \param newValue The new value
+ * @param oldValue The old value
+ * @param newValue The new value
  */
 template <>
 void
@@ -89,11 +89,11 @@
 }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * TracedValueCbSink specialization for SequenceNumber32.
- * \param oldValue The old value
- * \param newValue The new value
+ * @param oldValue The old value
+ * @param newValue The new value
  */
 template <>
 void
@@ -105,9 +105,9 @@
 } // unnamed namespace
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
- * \brief TracedValueCallback Test Case
+ * @brief TracedValueCallback Test Case
  */
 class TracedValueCallbackTestCase : public TestCase
 {
@@ -137,8 +137,8 @@
         }
 
         /**
-         * \brief Register this type.
-         * \return The object TypeId.
+         * @brief Register this type.
+         * @return The object TypeId.
          */
         static TypeId GetTypeId()
         {
@@ -161,7 +161,7 @@
          * Just to make sure, we increment the TracedValue,
          * which calls the sink.
          *
-         * \param cb Callback.
+         * @param cb Callback.
          */
         template <typename U>
         void Invoke(U cb)
@@ -197,8 +197,8 @@
      * TracedValueCbSink<T>.  If this compiles, we've proved the
      * sink function and the typedef agree.
      *
-     * \tparam T \explicit The base type.
-     * \tparam U \explicit The TracedValueCallback sink typedef type.
+     * @tparam T \explicit The base type.
+     * @tparam U \explicit The TracedValueCallback sink typedef type.
      */
     template <typename T, typename U>
     void CheckType()
@@ -237,9 +237,9 @@
 }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
- * \brief TracedValueCallback TestSuite
+ * @brief TracedValueCallback TestSuite
  */
 class TracedValueCallbackTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/examples/topology-example-sim.cc ns-3.44/src/topology-read/examples/topology-example-sim.cc
--- ns-3.43/src/topology-read/examples/topology-example-sim.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/examples/topology-example-sim.cc	2025-03-09 16:55:49.707372200 -0700
@@ -23,7 +23,7 @@
 #include <sstream>
 
 /**
- * \ingroup topology
+ * @ingroup topology
  * Example of TopologyReader: read in a topology in a specified format.
  *
  * This example can be used with the following parameters:
@@ -42,8 +42,8 @@
 
 /**
  * Print the TTL of received packet
- * \param p received packet
- * \param ad sender address
+ * @param p received packet
+ * @param ad sender address
  */
 static void
 SinkRx(Ptr<const Packet> p, const Address& ad)
@@ -172,13 +172,13 @@
     }
 
     ApplicationContainer apps = onoff.Install(clientNodes);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(2.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(2));
 
     PacketSinkHelper sink = PacketSinkHelper("ns3::Ipv4RawSocketFactory", dst);
     apps = sink.Install(randomServerNode);
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(3.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(3));
 
     // we trap the packet sink receiver to extract the TTL.
     Config::ConnectWithoutContext("/NodeList/*/ApplicationList/*/$ns3::PacketSink/Rx",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/helper/topology-reader-helper.cc ns-3.44/src/topology-read/helper/topology-reader-helper.cc
--- ns-3.43/src/topology-read/helper/topology-reader-helper.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/helper/topology-reader-helper.cc	2025-03-09 16:55:49.707372200 -0700
@@ -16,8 +16,8 @@
 #include "ns3/rocketfuel-topology-reader.h"
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::TopologyHelper implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/helper/topology-reader-helper.h ns-3.44/src/topology-read/helper/topology-reader-helper.h
--- ns-3.43/src/topology-read/helper/topology-reader-helper.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/helper/topology-reader-helper.h	2025-03-09 16:55:49.707372200 -0700
@@ -15,8 +15,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::TopologyHelper declaration.
  */
 
@@ -24,9 +24,9 @@
 {
 
 /**
- * \ingroup topology
+ * @ingroup topology
  *
- * \brief Helper class which makes it easier to configure and use a generic TopologyReader.
+ * @brief Helper class which makes it easier to configure and use a generic TopologyReader.
  */
 class TopologyReaderHelper
 {
@@ -34,20 +34,20 @@
     TopologyReaderHelper();
 
     /**
-     * \brief Sets the input file name.
-     * \param [in] fileName The input file name.
+     * @brief Sets the input file name.
+     * @param [in] fileName The input file name.
      */
     void SetFileName(const std::string fileName);
 
     /**
-     * \brief Sets the input file type. Supported file types are "Orbis", "Inet", "Rocketfuel".
-     * \param [in] fileType The input file type.
+     * @brief Sets the input file type. Supported file types are "Orbis", "Inet", "Rocketfuel".
+     * @param [in] fileType The input file type.
      */
     void SetFileType(const std::string fileType);
 
     /**
-     * \brief Gets a Ptr<TopologyReader> to the actual TopologyReader.
-     * \return The created Topology Reader (or null if there was an error).
+     * @brief Gets a Ptr<TopologyReader> to the actual TopologyReader.
+     * @return The created Topology Reader (or null if there was an error).
      */
     Ptr<TopologyReader> GetTopologyReader();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/inet-topology-reader.cc ns-3.44/src/topology-read/model/inet-topology-reader.cc
--- ns-3.43/src/topology-read/model/inet-topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/inet-topology-reader.cc	2025-03-09 16:55:49.707372200 -0700
@@ -18,8 +18,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::InetTopologyReader implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/inet-topology-reader.h ns-3.44/src/topology-read/model/inet-topology-reader.h
--- ns-3.43/src/topology-read/model/inet-topology-reader.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/inet-topology-reader.h	2025-03-09 16:55:49.707372200 -0700
@@ -13,8 +13,8 @@
 #include "topology-reader.h"
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::InetTopologyReader declaration.
  */
 
@@ -24,9 +24,9 @@
 // ------------------------------------------------------------
 // --------------------------------------------
 /**
- * \ingroup topology
+ * @ingroup topology
  *
- * \brief Topology file reader (Inet-format type).
+ * @brief Topology file reader (Inet-format type).
  *
  * This class takes an input file in Inet format and extracts all
  * the information needed to build the topology
@@ -41,8 +41,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId.
+     * @brief Get the type ID.
+     * @return the object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -54,7 +54,7 @@
     InetTopologyReader& operator=(const InetTopologyReader&) = delete;
 
     /**
-     * \brief Main topology reading function.
+     * @brief Main topology reading function.
      *
      * This method opens an input stream and reads the Inet-format file.
      * From the first line it takes the total number of nodes and links.
@@ -63,7 +63,7 @@
      * Then reads until the end of the file (total links number rows) and saves
      * the structure of every single link in the topology.
      *
-     * \return The container of the nodes created (or empty container if there was an error)
+     * @return The container of the nodes created (or empty container if there was an error)
      */
     NodeContainer Read() override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/orbis-topology-reader.cc ns-3.44/src/topology-read/model/orbis-topology-reader.cc
--- ns-3.43/src/topology-read/model/orbis-topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/orbis-topology-reader.cc	2025-03-09 16:55:49.707372200 -0700
@@ -18,8 +18,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::OrbisTopologyReader implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/orbis-topology-reader.h ns-3.44/src/topology-read/model/orbis-topology-reader.h
--- ns-3.43/src/topology-read/model/orbis-topology-reader.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/orbis-topology-reader.h	2025-03-09 16:55:49.707372200 -0700
@@ -13,8 +13,8 @@
 #include "topology-reader.h"
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::OrbisTopologyReader declaration.
  */
 
@@ -24,9 +24,9 @@
 // ------------------------------------------------------------
 // --------------------------------------------
 /**
- * \ingroup topology
+ * @ingroup topology
  *
- * \brief Topology file reader (Orbis-format type).
+ * @brief Topology file reader (Orbis-format type).
  *
  * This class takes an input file in Orbis format and extracts all
  * the information needed to build the topology
@@ -38,8 +38,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId.
+     * @brief Get the type ID.
+     * @return the object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -51,14 +51,14 @@
     OrbisTopologyReader& operator=(const OrbisTopologyReader&) = delete;
 
     /**
-     * \brief Main topology reading function.
+     * @brief Main topology reading function.
      *
      * This method opens an input stream and reads the Orbis-format file.
      * Every row represents a topology link (the ids of a couple of nodes),
      * so the input file is read line by line to figure out how many links
      * and nodes are in the topology.
      *
-     * \return The container of the nodes created (or empty container if there was an error)
+     * @return The container of the nodes created (or empty container if there was an error)
      */
     NodeContainer Read() override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/rocketfuel-topology-reader.cc ns-3.44/src/topology-read/model/rocketfuel-topology-reader.cc
--- ns-3.43/src/topology-read/model/rocketfuel-topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/rocketfuel-topology-reader.cc	2025-03-09 16:55:49.707372200 -0700
@@ -19,8 +19,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::RocketfuelTopologyReader implementation.
  */
 
@@ -75,25 +75,25 @@
 
 /**
  * Build a Regex object for RocketFuel topology maps file type
- * \return a static regex object for maps file type
+ * @return a static regex object for maps file type
  */
 static const std::regex rocketfuel_maps_regex(ROCKETFUEL_MAPS_LINE);
 
 /**
  * Build a Regex object for RocketFuel topology weights file type
- * \return a static regex object for weights file type
+ * @return a static regex object for weights file type
  */
 static const std::regex rocketfuel_weights_regex(ROCKETFUEL_WEIGHTS_LINE);
 
 /**
- * \brief Print node info
- * \param uid node ID
- * \param loc node location
- * \param dns is a DNS node ?
- * \param bb is a BB node ?
- * \param neighListSize size of neighbor list
- * \param name node name
- * \param radius node radius
+ * @brief Print node info
+ * @param uid node ID
+ * @param loc node location
+ * @param dns is a DNS node ?
+ * @param bb is a BB node ?
+ * @param neighListSize size of neighbor list
+ * @param name node name
+ * @param radius node radius
  */
 static inline void
 PrintNodeInfo(std::string& uid,
@@ -250,7 +250,7 @@
 
     sname = argv[0];
     tname = argv[1];
-    std::stod(argv[2], &endptr); // weight
+    double weight [[maybe_unused]] = std::stod(argv[2], &endptr);
 
     if (argv[2].size() != endptr)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/rocketfuel-topology-reader.h ns-3.44/src/topology-read/model/rocketfuel-topology-reader.h
--- ns-3.43/src/topology-read/model/rocketfuel-topology-reader.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/rocketfuel-topology-reader.h	2025-03-09 16:55:49.707372200 -0700
@@ -12,8 +12,8 @@
 #include "topology-reader.h"
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::RocketfuelTopologyReader declaration.
  */
 
@@ -23,9 +23,9 @@
 // ------------------------------------------------------------
 // --------------------------------------------
 /**
- * \ingroup topology
+ * @ingroup topology
  *
- * \brief Topology file reader (Rocketfuel-format type).
+ * @brief Topology file reader (Rocketfuel-format type).
  *
  * http://www.cs.washington.edu/research/networking/rocketfuel/
  *
@@ -37,8 +37,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId
+     * @brief Get the type ID.
+     * @return The object TypeId
      */
     static TypeId GetTypeId();
 
@@ -50,42 +50,42 @@
     RocketfuelTopologyReader& operator=(const RocketfuelTopologyReader&) = delete;
 
     /**
-     * \brief Main topology reading function.
+     * @brief Main topology reading function.
      *
      * This method opens an input stream and reads the Rocketfuel-format file.
      * Every row represents a topology link (the ids of a couple of nodes),
      * so the input file is read line by line to figure out how many links
      * and nodes are in the topology.
      *
-     * \return The container of the nodes created (or empty container if there was an error)
+     * @return The container of the nodes created (or empty container if there was an error)
      */
     NodeContainer Read() override;
 
   private:
     /**
-     * \brief Topology read function from a file containing the nodes map.
+     * @brief Topology read function from a file containing the nodes map.
      *
      * Parser for the *.cch file available at:
      * http://www.cs.washington.edu/research/networking/rocketfuel/maps/rocketfuel_maps_cch.tar.gz
      *
-     * \param [in] argv Argument vector.
-     * \return The container of the nodes created (or empty container if there was an error).
+     * @param [in] argv Argument vector.
+     * @return The container of the nodes created (or empty container if there was an error).
      */
     NodeContainer GenerateFromMapsFile(const std::vector<std::string>& argv);
 
     /**
-     * \brief Topology read function from a file containing the nodes weights.
+     * @brief Topology read function from a file containing the nodes weights.
      *
      * Parser for the weights.* file available at:
      * http://www.cs.washington.edu/research/networking/rocketfuel/maps/weights-dist.tar.gz
      *
-     * \param [in] argv Argument vector.
-     * \return The container of the nodes created (or empty container if there was an error).
+     * @param [in] argv Argument vector.
+     * @return The container of the nodes created (or empty container if there was an error).
      */
     NodeContainer GenerateFromWeightsFile(const std::vector<std::string>& argv);
 
     /**
-     * \brief Enum of the possible file types.
+     * @brief Enum of the possible file types.
      */
     enum RF_FileType
     {
@@ -95,10 +95,10 @@
     };
 
     /**
-     * \brief Classifies the file type according to its content.
+     * @brief Classifies the file type according to its content.
      *
-     * \param buf the first line of the file being read
-     * \return The file type (RF_MAPS, RF_WEIGHTS, or RF_UNKNOWN)
+     * @param buf the first line of the file being read
+     * @return The file type (RF_MAPS, RF_WEIGHTS, or RF_UNKNOWN)
      */
     RF_FileType GetFileType(const std::string& buf);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/topology-reader.cc ns-3.44/src/topology-read/model/topology-reader.cc
--- ns-3.43/src/topology-read/model/topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/topology-reader.cc	2025-03-09 16:55:49.707372200 -0700
@@ -12,8 +12,8 @@
 #include "ns3/log.h"
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::TopologyReader implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/model/topology-reader.h ns-3.44/src/topology-read/model/topology-reader.h
--- ns-3.43/src/topology-read/model/topology-reader.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/model/topology-reader.h	2025-03-09 16:55:49.707372200 -0700
@@ -18,8 +18,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup topology
+ * @file
+ * @ingroup topology
  * ns3::TopologyReader declaration.
  */
 
@@ -29,9 +29,9 @@
 class NodeContainer;
 
 /**
- * \ingroup topology
+ * @ingroup topology
  *
- * \brief Interface for input file readers management.
+ * @brief Interface for input file readers management.
  *
  * This interface perform the shared tasks among all possible input file readers.
  * Each different file format is handled by its own topology reader.
@@ -40,7 +40,7 @@
 {
   public:
     /**
-     * \brief Inner class holding the details about a link between two nodes.
+     * @brief Inner class holding the details about a link between two nodes.
      *
      * The link is not described in terms of technology. Rather it is only stating
      * an association between two nodes. The nodes are characterized also with names
@@ -50,16 +50,16 @@
     {
       public:
         /**
-         * \brief Constant iterator to scan the map of link attributes.
+         * @brief Constant iterator to scan the map of link attributes.
          */
         typedef std::map<std::string, std::string>::const_iterator ConstAttributesIterator;
 
         /**
-         * \brief Constructor.
-         * \param [in] fromPtr Ptr to the node the link is originating from.
-         * \param [in] fromName Name of the node the link is originating from.
-         * \param [in] toPtr Ptr to the node the link is directed to.
-         * \param [in] toName Name of the node the link is directed to.
+         * @brief Constructor.
+         * @param [in] fromPtr Ptr to the node the link is originating from.
+         * @param [in] fromName Name of the node the link is originating from.
+         * @param [in] toPtr Ptr to the node the link is directed to.
+         * @param [in] toName Name of the node the link is directed to.
          */
         Link(Ptr<Node> fromPtr,
              const std::string& fromName,
@@ -67,53 +67,53 @@
              const std::string& toName);
 
         /**
-         * \brief Returns a Ptr<Node> to the "from" node of the link.
-         * \return A Ptr<Node> to the "from" node of the link.
+         * @brief Returns a Ptr<Node> to the "from" node of the link.
+         * @return A Ptr<Node> to the "from" node of the link.
          */
         Ptr<Node> GetFromNode() const;
         /**
-         * \brief Returns the name of the "from" node of the link.
-         * \return The name of the "from" node of the link.
+         * @brief Returns the name of the "from" node of the link.
+         * @return The name of the "from" node of the link.
          */
         std::string GetFromNodeName() const;
         /**
-         * \brief Returns a Ptr<Node> to the "to" node of the link.
-         * \return A Ptr<Node> to the "to" node of the link.
+         * @brief Returns a Ptr<Node> to the "to" node of the link.
+         * @return A Ptr<Node> to the "to" node of the link.
          */
         Ptr<Node> GetToNode() const;
         /**
-         * \brief Returns the name of the "to" node of the link.
-         * \return The name of the "to" node of the link.
+         * @brief Returns the name of the "to" node of the link.
+         * @return The name of the "to" node of the link.
          */
         std::string GetToNodeName() const;
         /**
-         * \brief Returns the value of a link attribute. The attribute must exist.
-         * \param [in] name the name of the attribute.
-         * \return The value of the attribute.
+         * @brief Returns the value of a link attribute. The attribute must exist.
+         * @param [in] name the name of the attribute.
+         * @return The value of the attribute.
          */
         std::string GetAttribute(const std::string& name) const;
         /**
-         * \brief Returns the value of a link attribute.
-         * \param [in] name The name of the attribute.
-         * \param [out] value The value of the attribute.
+         * @brief Returns the value of a link attribute.
+         * @param [in] name The name of the attribute.
+         * @param [out] value The value of the attribute.
          *
-         * \return True if the attribute was defined, false otherwise.
+         * @return True if the attribute was defined, false otherwise.
          */
         bool GetAttributeFailSafe(const std::string& name, std::string& value) const;
         /**
-         * \brief Sets an arbitrary link attribute.
-         * \param [in] name The name of the attribute.
-         * \param [in] value The value of the attribute.
+         * @brief Sets an arbitrary link attribute.
+         * @param [in] name The name of the attribute.
+         * @param [in] value The value of the attribute.
          */
         void SetAttribute(const std::string& name, const std::string& value);
         /**
-         * \brief Returns an iterator to the begin of the attributes.
-         * \return A const iterator to the first attribute of a link.
+         * @brief Returns an iterator to the begin of the attributes.
+         * @return A const iterator to the first attribute of a link.
          */
         ConstAttributesIterator AttributesBegin() const;
         /**
-         * \brief Returns an iterator to the end of the attributes.
-         * \return A const iterator to the last attribute of a link.
+         * @brief Returns an iterator to the end of the attributes.
+         * @return A const iterator to the last attribute of a link.
          */
         ConstAttributesIterator AttributesEnd() const;
 
@@ -128,13 +128,13 @@
     };
 
     /**
-     * \brief Constant iterator to the list of the links.
+     * @brief Constant iterator to the list of the links.
      */
     typedef std::list<Link>::const_iterator ConstLinksIterator;
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -146,7 +146,7 @@
     TopologyReader& operator=(const TopologyReader&) = delete;
 
     /**
-     * \brief Main topology reading function.
+     * @brief Main topology reading function.
      *
      * The data is parsed and the results are returned in the passed lists.
      * The rationale behind this choice is to allow non-progressive node IDs
@@ -154,49 +154,49 @@
      * reader from the choices about actual IP number assignment and
      * kind of links between nodes.
      *
-     * \return The container of the nodes created (or null if there was an error).
+     * @return The container of the nodes created (or null if there was an error).
      */
     virtual NodeContainer Read() = 0;
 
     /**
-     * \brief Sets the input file name.
-     * \param [in] fileName The input file name.
+     * @brief Sets the input file name.
+     * @param [in] fileName The input file name.
      */
     void SetFileName(const std::string& fileName);
 
     /**
-     * \brief Returns the input file name.
-     * \return The input file name.
+     * @brief Returns the input file name.
+     * @return The input file name.
      */
     std::string GetFileName() const;
 
     /**
-     * \brief Returns an iterator to the the first link in this block.
-     * \return A const iterator to the first link in this block.
+     * @brief Returns an iterator to the the first link in this block.
+     * @return A const iterator to the first link in this block.
      */
     ConstLinksIterator LinksBegin() const;
 
     /**
-     * \brief Returns an iterator to the the last link in this block.
-     * \return A const iterator to the last link in this block.
+     * @brief Returns an iterator to the the last link in this block.
+     * @return A const iterator to the last link in this block.
      */
     ConstLinksIterator LinksEnd() const;
 
     /**
-     * \brief Returns the number of links in this block.
-     * \return The number of links in this block.
+     * @brief Returns the number of links in this block.
+     * @return The number of links in this block.
      */
     int LinksSize() const;
 
     /**
-     * \brief Checks if the block contains any links.
-     * \return True if there are no links in this block, false otherwise.
+     * @brief Checks if the block contains any links.
+     * @return True if there are no links in this block, false otherwise.
      */
     bool LinksEmpty() const;
 
     /**
-     * \brief Adds a link to the topology.
-     * \param link [in] The link to be added.
+     * @brief Adds a link to the topology.
+     * @param link [in] The link to be added.
      */
     void AddLink(Link link);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc ns-3.44/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc
--- ns-3.43/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc	2025-03-09 16:55:49.707372200 -0700
@@ -22,21 +22,21 @@
 using namespace ns3;
 
 /**
- * \defgroup topology-test Topology module tests
- * \ingroup topology
- * \ingroup tests
+ * @defgroup topology-test Topology module tests
+ * @ingroup topology
+ * @ingroup tests
  */
 
 /**
- * \file
- * \ingroup topology-test
+ * @file
+ * @ingroup topology-test
  * ns3::RockefuelTopologyReader test suite.
  */
 
 /**
- * \ingroup topology-test
+ * @ingroup topology-test
 
- * \brief Rocketfuel Topology Reader Weights Test
+ * @brief Rocketfuel Topology Reader Weights Test
  */
 class RocketfuelTopologyReaderWeightsTest : public TestCase
 {
@@ -78,8 +78,8 @@
 }
 
 /**
- * \ingroup topology-test
- * \brief Rocketfuel Topology Reader Maps Test
+ * @ingroup topology-test
+ * @brief Rocketfuel Topology Reader Maps Test
  */
 class RocketfuelTopologyReaderMapsTest : public TestCase
 {
@@ -121,9 +121,9 @@
 }
 
 /**
- * \ingroup topology-test
+ * @ingroup topology-test
  *
- * \brief Rocketfuel Topology Reader TestSuite
+ * @brief Rocketfuel Topology Reader TestSuite
  */
 class RocketfuelTopologyReaderTestSuite : public TestSuite
 {
@@ -141,7 +141,7 @@
 }
 
 /**
- * \ingroup topology-test
+ * @ingroup topology-test
  * Static variable for test initialization
  */
 static RocketfuelTopologyReaderTestSuite g_rocketfuelTopologyReaderTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/examples/adaptive-red-tests.cc ns-3.44/src/traffic-control/examples/adaptive-red-tests.cc
--- ns-3.43/src/traffic-control/examples/adaptive-red-tests.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/examples/adaptive-red-tests.cc	2025-03-09 16:55:49.707372200 -0700
@@ -93,7 +93,7 @@
 /**
  * Check the queue disc size and write its stats to the output files.
  *
- * \param queue The queue to check.
+ * @param queue The queue to check.
  */
 void
 CheckQueueDiscSize(Ptr<QueueDisc> queue)
@@ -119,7 +119,7 @@
 /**
  * Setup the apps.
  *
- * \param test The test number.
+ * @param test The test number.
  */
 void
 BuildAppsTest(uint32_t test)
